Bug 490664 - Error in pnp4nagios documentation for configuring Bulk Mode with NPCD
Error in pnp4nagios documentation for configuring Bulk Mode with NPCD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pnp4nagios (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 11:07 EDT by Ed Young
Modified: 2009-03-27 08:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 08:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Young 2009-03-17 11:07:10 EDT
Description of problem:
    There is an error in the documentation for pnp4nagios for configuring:
    Bulk Mode with NPCD
    The recommended patch is included in Additional info below.

Version-Release number of selected component (if applicable):
    pnp4nagios-0.4.12-1.fc10.i386

How reproducible:
    If the documentation is followed "Bulk Mode with NPCD" doesn't work.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

According to the documentation for pnp4nagios located at:
    http://www.pnp4nagios.org/pnp/doc_complete
Bulk Mode with NPCD: 
The configuration is identical to the Bulk-mode except for the used command.

Fedora documentation states that 
"The configuration is identical to default-mode except for the used command."

Here is the recommended patch:

*** /usr/share/doc/pnp4nagios-0.4.12/README.fedora	2008-07-10 18:39:37.000000000 -0400
--- README.fedora	2009-03-17 10:27:56.000000000 -0400
***************
*** 51,57 ****
  service npcd start
  chkconfig npcd on
  
! The configuration is identical to the default-mode except for the used command.
  
  /etc/nagios/commands.cfg :
  
--- 51,57 ----
  service npcd start
  chkconfig npcd on
  
! The configuration is identical to the Bulk-mode except for the used command.
  
  /etc/nagios/commands.cfg :
Comment 1 Xavier Bachelot 2009-03-27 08:12:44 EDT
I've fixed the REAME file in all the branches, it will be shipped next time the package is updated. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.